/**********************************************************************
 
	Copyright (C) 2004 Tomohito Nakajima <nakajima@zeta.co.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/

#ifndef XL_ADDRDB_H___
#define XL_ADDRDB_H___

/*
address database utility function for xl
*/
ADDRDB *addrdb_get_db_from_symbol(XLISP_ENV *env, XL_SEXP *sym);
void init_AddrdbConvert(XLISP_ENV * env);
void init_AddrdbImport(XLISP_ENV * env);
void init_AddrdbOpen(XLISP_ENV * env);
void init_AddrdbClose(XLISP_ENV * env);

#endif
